local lazypath = vim.fn.stdpath('data') .. '/lazy/lazy.nvim'
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    'git',
    'clone',
    '--filter=blob:none',
    '--single-branch',
    'https://github.com/folke/lazy.nvim.git',
    lazypath,
  })
end
vim.opt.runtimepath:prepend(lazypath)

require('lazy').setup('configs.packages', {
  install = { colorscheme = { 'gruvbox' } },
  rtp = { disable_plugins = { 'netrw' } }
})

require('configs.options').setup()
require('configs.misc').setup()
require('configs.keys').setup()
