return {
  { 'chrisbra/Colorizer', cmd = 'ColorToggle'},

  {
    'lewis6991/gitsigns.nvim',
    dependencies = { 'nvim-lua/plenary.nvim' },
    config = true,
  },

  { 'AndrewRadev/linediff.vim',
    cmd = {'LinediffAdd', 'Linediff'},
    keys = {
      { '<Space-d>', '<Cmd>Linediff<CR>' }
    }
  },

  { 'lukas-reineke/indent-blankline.nvim', config = true },

  {
    'b3nj5m1n/kommentary',
    config = function()
      local kommentary = require('kommentary.config')
      kommentary.configure_language('php', { prefer_single_line_comments = true, })
      kommentary.configure_language('lua', { prefer_single_line_comments = true, })
    end
  },

  {
    'hrsh7th/vim-vsnip',
    config = function()
      vim.api.nvim_exec([[
        imap <expr> <Tab>   vsnip#jumpable(1)   ? '<Plug>(vsnip-jump-next)'      : '<Tab>'
        smap <expr> <Tab>   vsnip#jumpable(1)   ? '<Plug>(vsnip-jump-next)'      : '<Tab>'
        imap <expr> <S-Tab> vsnip#jumpable(-1)  ? '<Plug>(vsnip-jump-prev)'      : '<S-Tab>'
        smap <expr> <S-Tab> vsnip#jumpable(-1)  ? '<Plug>(vsnip-jump-prev)'      : '<S-Tab>'
        ]], false)
    end
  },

  'editorconfig/editorconfig-vim',

  {
    'vlada-dudr/vdebug',
    lazy = true,
    keys = {'<F5>'},
  },

  { 'dyng/ctrlsf.vim', cmd = 'CtrlSF' },

  { 'andymass/vim-matchup' },

  { 'fpob/nette.vim', ft = 'nette' },

  { 'ziglang/zig.vim', ft = 'zig' },

  {
    'folke/trouble.nvim',
    dependencies = { 'kyazdani42/nvim-web-devicons' },
    lazy = true,
    cmd = { 'Trouble', 'TroubleToggle' },
    keys = { {'<Space>t', ':TroubleToggle<CR>' } },
    config = {
      mode = 'document_diagnostics'
    }
  },

}
